Skip to main content

Push Subscriptions

Tags: notifications, push

Endpoints

Delete All

DELETE /api/v2/w/{workspace_uuid}/push-subscriptions

Description:

Web push notification subscription management

Unregister a push subscription.

Only the member who owns the subscription can unregister it.

Authentication: Requires workspace member

Parameters:

  • endpoint (String)

Response: See dict


List

GET /api/v2/w/{workspace_uuid}/push-subscriptions

Description:

Web push notification subscription management

List all push subscriptions for the current member.

Authentication: Requires workspace member

Response: List of PushSubscriptionResponse


Create

POST /api/v2/w/{workspace_uuid}/push-subscriptions

Description:

Web push notification subscription management

Register a new push subscription for the current member.

If a subscription with the same endpoint already exists, it will be updated.

Authentication: Requires workspace member

Parameters:

Response: See PushSubscriptionResponse